This (0xE8008001) error code is really bothering me because all my apps won’t installing and not supporting my 2nd gen ipod touch by this code. Do I need to Jailbreak to get my apps to work and support my ipod ...